package soot.poc.testers;

public class Storage
{
	private Msg msg;
	private byte stored;
	
	public Storage()
	{
		msg = new Msg();
		stored = 0;
	}
	
	public void setStored(byte b)
	{
		stored = b;
	}
	
	public byte getStored()
	{
		return stored;
	}
	
	public void recvMsg(Msg m)
	{
		byte recv = m.getInfo();
		msg.setInfo(recv);
	}
	
	public void storeMsg()
	{
		byte b = msg.getInfo();
		setStored(b);
	}
}
